package de.humance.eco.profile.model;

import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the TrailerUser service. Represents a row in the &quot;Profile_TrailerUser&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link de.humance.eco.profile.model.impl.TrailerUserModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link de.humance.eco.profile.model.impl.TrailerUserImpl}.
 * </p>
 *
 * @author Humance
 * @see TrailerUser
 * @see de.humance.eco.profile.model.impl.TrailerUserImpl
 * @see de.humance.eco.profile.model.impl.TrailerUserModelImpl
 * @generated
 */
public interface TrailerUserModel extends BaseModel<TrailerUser> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a trailer user model instance should use the {@link TrailerUser} interface instead.
     */

    /**
     * Returns the primary key of this trailer user.
     *
     * @return the primary key of this trailer user
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this trailer user.
     *
     * @param primaryKey the primary key of this trailer user
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the trailer user ID of this trailer user.
     *
     * @return the trailer user ID of this trailer user
     */
    public long getTrailerUserId();

    /**
     * Sets the trailer user ID of this trailer user.
     *
     * @param trailerUserId the trailer user ID of this trailer user
     */
    public void setTrailerUserId(long trailerUserId);

    /**
     * Returns the trailer user uuid of this trailer user.
     *
     * @return the trailer user uuid of this trailer user
     * @throws SystemException if a system exception occurred
     */
    public String getTrailerUserUuid() throws SystemException;

    /**
     * Sets the trailer user uuid of this trailer user.
     *
     * @param trailerUserUuid the trailer user uuid of this trailer user
     */
    public void setTrailerUserUuid(String trailerUserUuid);

    /**
     * Returns the user ID of this trailer user.
     *
     * @return the user ID of this trailer user
     */
    public long getUserId();

    /**
     * Sets the user ID of this trailer user.
     *
     * @param userId the user ID of this trailer user
     */
    public void setUserId(long userId);

    /**
     * Returns the user uuid of this trailer user.
     *
     * @return the user uuid of this trailer user
     * @throws SystemException if a system exception occurred
     */
    public String getUserUuid() throws SystemException;

    /**
     * Sets the user uuid of this trailer user.
     *
     * @param userUuid the user uuid of this trailer user
     */
    public void setUserUuid(String userUuid);

    /**
     * Returns the trailer ID of this trailer user.
     *
     * @return the trailer ID of this trailer user
     */
    public long getTrailerId();

    /**
     * Sets the trailer ID of this trailer user.
     *
     * @param trailerId the trailer ID of this trailer user
     */
    public void setTrailerId(long trailerId);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(TrailerUser trailerUser);

    @Override
    public int hashCode();

    @Override
    public CacheModel<TrailerUser> toCacheModel();

    @Override
    public TrailerUser toEscapedModel();

    @Override
    public TrailerUser toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
